- name: get package version
  yum:
    list: php-fpm
  register: php_package_list

- name: "set fact for package namepackage_name"
  set_fact:
    php_fpm_installed_version: "{{ php_package_list.results | selectattr('yumstate','equalto','installed')|map(attribute='version')|list|first | default('not_installed') }}"

- name: "major version"
  set_fact:
    php_fpm_installed_major_version: "{{ php_fpm_installed_version | regex_replace('^([578])\\.([0-9])\\..+$','\\1\\2') }}"

- name: "set fact to check if a new php version should be installed"
  set_fact:
    php_install: "{% if php_fpm_installed_version == 'not_installed' or php_fpm_installed_major_version != php_version %}true{% else %}false{% endif %}"


- name: Copy remi-key to server
  copy:
    src: files/remi_key
    dest: /tmp/remi_key

- name: Import remi GPG key.
  rpm_key:
    key: "/tmp/remi_key"
    state: present
  become: true

- name: "{{ php_remi_repo_state }} remi repo"
  yum:
    name: "https://rpms.remirepo.net/enterprise/remi-release-7.rpm"
    state: "{{ php_remi_repo_state }}"
  become: true
  when: "php_install | bool"

- name: "disable remi-php*"
  command: yum-config-manager --disable 'remi-php*'
  become: true
  when: "php_install | bool"

- name: "remove existing php packages"
  yum:
    name: "php*"
    state: "absent"
  become: true
  when: "php_install | bool"


- name: "enable remi-php*"
  command: yum-config-manager --enable remi-php{{ php_version }}
  become: true
  when: "php_install | bool"

- name: "enable remi (to replace composer in base repo with modern composer)"
  command: yum-config-manager --enable remi
  become: true
  when: "php_install | bool"

- name: "update packages"
  yum:
    name: "*"
    state: "latest"
  become: true

